Deployments.ai Docs
Providers

Show provider capabilities

GET /v1/providers/{providerKey} · SDK getProvider · CLI deployments provider show

GET
/v1/providers/{providerKey}

Path Parameters

providerKey*string
Match^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$

Response Body

ProviderResponse

application/json
  1. response
authMethods*array<string>
category?string
displayName*string
Match^\S[\s\S]*\S$|^\S$|^$
Length1 <= length <= 120
key*string
Match^[a-z0-9](?:[a-z0-9._-]{0,126}[a-z0-9])?$
metadata?
route*string
status*string
supportedScopes*array<string>
supportedTools*array<string>
verification?
curl -X GET "https://example.com/v1/providers/string"
{  "authMethods": [    "string"  ],  "category": "string",  "displayName": "string",  "key": "string",  "metadata": {    "property1": null,    "property2": null  },  "route": "string",  "status": "string",  "supportedScopes": [    "string"  ],  "supportedTools": [    "string"  ],  "verification": {    "property1": null,    "property2": null  }}